Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr.java
Class JavaLexer

Field Summary
`int` | `SCS_LIMIT`
`int` | `SCS_LIT`
`int` | `SCS_RE_TYPE`
`int` | `SCS_SQ_TYPE`
`int` | `SCS_TQ_TYPE`
`int` | `SCS_TYPE`
`int` | `SCS_VAL`
`BitSet` | `_tokenSet_0`
`BitSet` | `_tokenSet_1`
`BitSet` | `_tokenSet_2`
`BitSet` | `_tokenSet_3`
`BitSet` | `_tokenSet_4`
`boolean` | `assertEnabled`
`boolean` | `enumEnabled`
`int` | `lastSigTokenType`
`JavaRecognizer` | `parser`
`int` | `stringCtorState`
`boolean` | `whitespaceIncluded`

Constructor Summary
`JavaLexer(InputStream in)`
`JavaLexer(Reader in)`
`JavaLexer(InputBuffer ib)`
`JavaLexer(LexerSharedInputState state)`

Method Summary
`void` | `enableAssert(boolean shouldEnable)` flag for enabling the "assert" keyword
`void` | `enableEnum(boolean shouldEnable)` Enable the "enum" keyword
`boolean` | `isAssertEnabled()` Query the "assert" keyword state
`boolean` | `isEnumEnabled()` Query the "enum" keyword state
`void` | `mASSIGN(boolean _createToken)`
`void` | `mAT(boolean _createToken)`
`void` | `mBAND(boolean _createToken)`
`void` | `mBAND_ASSIGN(boolean _createToken)`
`void` | `mBNOT(boolean _createToken)`
`void` | `mBOR(boolean _createToken)`
`void` | `mBOR_ASSIGN(boolean _createToken)`
`void` | `mBSR(boolean _createToken)`
`void` | `mBSR_ASSIGN(boolean _createToken)`
`void` | `mBXOR(boolean _createToken)`
`void` | `mBXOR_ASSIGN(boolean _createToken)`
`void` | `mCHAR_LITERAL(boolean _createToken)`
`void` | `mCOLON(boolean _createToken)`
`void` | `mCOMMA(boolean _createToken)`
`void` | `mDEC(boolean _createToken)`
`void` | `mDIV(boolean _createToken)`
`void` | `mDIV_ASSIGN(boolean _createToken)`
`void` | `mEQUAL(boolean _createToken)`
`void` | `mESC(boolean _createToken)`
`void` | `mEXPONENT(boolean _createToken)`
`void` | `mFLOAT_SUFFIX(boolean _createToken)`
`void` | `mGE(boolean _createToken)`
`void` | `mGT(boolean _createToken)`
`void` | `mHEX_DIGIT(boolean _createToken)`
`void` | `mIDENT(boolean _createToken)`
`void` | `mINC(boolean _createToken)`
`void` | `mLAND(boolean _createToken)`
`void` | `mLBRACK(boolean _createToken)`
`void` | `mLCURLY(boolean _createToken)`
`void` | `mLE(boolean _createToken)`
`void` | `mLNOT(boolean _createToken)`
`void` | `mLOR(boolean _createToken)`
`void` | `mLPAREN(boolean _createToken)`
`void` | `mLT(boolean _createToken)`
`void` | `mMINUS(boolean _createToken)`
`void` | `mMINUS_ASSIGN(boolean _createToken)`
`void` | `mML_COMMENT(boolean _createToken)`
`void` | `mMOD(boolean _createToken)`
`void` | `mMOD_ASSIGN(boolean _createToken)`
`void` | `mNOT_EQUAL(boolean _createToken)`
`void` | `mNUM_INT(boolean _createToken)`
`void` | `mPLUS(boolean _createToken)`
`void` | `mPLUS_ASSIGN(boolean _createToken)`
`void` | `mQUESTION(boolean _createToken)`
`void` | `mRBRACK(boolean _createToken)`
`void` | `mRCURLY(boolean _createToken)`
`void` | `mRPAREN(boolean _createToken)`
`void` | `mSEMI(boolean _createToken)`
`void` | `mSL(boolean _createToken)`
`void` | `mSL_ASSIGN(boolean _createToken)`
`void` | `mSL_COMMENT(boolean _createToken)`
`void` | `mSR(boolean _createToken)`
`void` | `mSR_ASSIGN(boolean _createToken)`
`void` | `mSTAR(boolean _createToken)`
`void` | `mSTAR_ASSIGN(boolean _createToken)`
`void` | `mSTRING_LITERAL(boolean _createToken)`
`void` | `mVOCAB(boolean _createToken)`
`void` | `mWS(boolean _createToken)`
`static def` | `mk_tokenSet_0()`
`static def` | `mk_tokenSet_1()`
`static def` | `mk_tokenSet_2()`
`static def` | `mk_tokenSet_3()`
`static def` | `mk_tokenSet_4()`
`Token` | `nextToken()`
`TokenStream` | `plumb()` This is a bit of plumbing which resumes collection of string constructor bodies, after an embedded expression has been parsed.

Constructor Detail

### JavaLexer

    public JavaLexer(InputStream in)

### JavaLexer

    public JavaLexer(Reader in)

### JavaLexer

    public JavaLexer(InputBuffer ib)

### JavaLexer

    public JavaLexer(LexerSharedInputState state)

Method Detail

### enableAssert

    public void enableAssert(boolean shouldEnable)

  flag for enabling the "assert" keyword

### enableEnum

    public void enableEnum(boolean shouldEnable)

  Enable the "enum" keyword

### isAssertEnabled

    public boolean isAssertEnabled()

  Query the "assert" keyword state

### isEnumEnabled

    public boolean isEnumEnabled()

  Query the "enum" keyword state

### mASSIGN

    public void mASSIGN(boolean _createToken)

### mAT

    public void mAT(boolean _createToken)

### mBAND

    public void mBAND(boolean _createToken)

### mBAND_ASSIGN

    public void mBAND_ASSIGN(boolean _createToken)

### mBNOT

    public void mBNOT(boolean _createToken)

### mBOR

    public void mBOR(boolean _createToken)

### mBOR_ASSIGN

    public void mBOR_ASSIGN(boolean _createToken)

### mBSR

    public void mBSR(boolean _createToken)

### mBSR_ASSIGN

    public void mBSR_ASSIGN(boolean _createToken)

### mBXOR

    public void mBXOR(boolean _createToken)

### mBXOR_ASSIGN

    public void mBXOR_ASSIGN(boolean _createToken)

### mCHAR_LITERAL

    public void mCHAR_LITERAL(boolean _createToken)

### mCOLON

    public void mCOLON(boolean _createToken)

### mCOMMA

    public void mCOMMA(boolean _createToken)

### mDEC

    public void mDEC(boolean _createToken)

### mDIV

    public void mDIV(boolean _createToken)

### mDIV_ASSIGN

    public void mDIV_ASSIGN(boolean _createToken)

### mEQUAL

    public void mEQUAL(boolean _createToken)

### mESC

    void mESC(boolean _createToken)

### mEXPONENT

    void mEXPONENT(boolean _createToken)

### mFLOAT_SUFFIX

    void mFLOAT_SUFFIX(boolean _createToken)

### mGE

    public void mGE(boolean _createToken)

### mGT

    public void mGT(boolean _createToken)

### mHEX_DIGIT

    void mHEX_DIGIT(boolean _createToken)

### mIDENT

    public void mIDENT(boolean _createToken)

### mINC

    public void mINC(boolean _createToken)

### mLAND

    public void mLAND(boolean _createToken)

### mLBRACK

    public void mLBRACK(boolean _createToken)

### mLCURLY

    public void mLCURLY(boolean _createToken)

### mLE

    public void mLE(boolean _createToken)

### mLNOT

    public void mLNOT(boolean _createToken)

### mLOR

    public void mLOR(boolean _createToken)

### mLPAREN

    public void mLPAREN(boolean _createToken)

### mLT

    public void mLT(boolean _createToken)

### mMINUS

    public void mMINUS(boolean _createToken)

### mMINUS_ASSIGN

    public void mMINUS_ASSIGN(boolean _createToken)

### mML_COMMENT

    public void mML_COMMENT(boolean _createToken)

### mMOD

    public void mMOD(boolean _createToken)

### mMOD_ASSIGN

    public void mMOD_ASSIGN(boolean _createToken)

### mNOT_EQUAL

    public void mNOT_EQUAL(boolean _createToken)

### mNUM_INT

    public void mNUM_INT(boolean _createToken)

### mPLUS

    public void mPLUS(boolean _createToken)

### mPLUS_ASSIGN

    public void mPLUS_ASSIGN(boolean _createToken)

### mQUESTION

    public void mQUESTION(boolean _createToken)

### mRBRACK

    public void mRBRACK(boolean _createToken)

### mRCURLY

    public void mRCURLY(boolean _createToken)

### mRPAREN

    public void mRPAREN(boolean _createToken)

### mSEMI

    public void mSEMI(boolean _createToken)

### mSL

    public void mSL(boolean _createToken)

### mSL_ASSIGN

    public void mSL_ASSIGN(boolean _createToken)

### mSL_COMMENT

    public void mSL_COMMENT(boolean _createToken)

### mSR

    public void mSR(boolean _createToken)

### mSR_ASSIGN

    public void mSR_ASSIGN(boolean _createToken)

### mSTAR

    public void mSTAR(boolean _createToken)

### mSTAR_ASSIGN

    public void mSTAR_ASSIGN(boolean _createToken)

### mSTRING_LITERAL

    public void mSTRING_LITERAL(boolean _createToken)

### mVOCAB

    void mVOCAB(boolean _createToken)

### mWS

    public void mWS(boolean _createToken)

### mk_tokenSet_0

    static def mk_tokenSet_0()

### mk_tokenSet_1

    static def mk_tokenSet_1()

### mk_tokenSet_2

    static def mk_tokenSet_2()

### mk_tokenSet_3

    static def mk_tokenSet_3()

### mk_tokenSet_4

    static def mk_tokenSet_4()

### nextToken

    public Token nextToken()

### plumb

    public TokenStream plumb()

  This is a bit of plumbing which resumes collection of string constructor bodies, after an embedded expression has been parsed. Usage: new JavaRecognizer(new JavaLexer(in).plumb()).